%define package ultradefrag
%define version 6.0.2
%define release 2

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/

%changelog
* Tue Mar 24 2015 Daniel Berteaud <daniel@firewall-services.com> - 6.0.2-2
- Fix removal command

* Fri May 17 2013 Daniel Berteaud <daniel@firewall-services.com> - 6.0.2-1
- update to 6.0.2

* Wed Apr 3 2013 Daniel Berteaud <daniel@firewall-services.com> - 6.0.1-1
- update to 6.0.1

* Mon Mar 4 2013 Daniel Berteaud <daniel@firewall-services.com> - 6.0.0-1
- update to 6.0.0

* Tue Nov 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.1.1-1
- update to 5.1.1

* Mon Sep 3 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.0.7-1
- update to 5.0.7

* Wed Jul 4 2012 Daniel Berteaud <daniel@firewall-services.com> - 5.0.6-1
- initial release

